﻿using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FeatureGuideCharp
{
    class _10_15
    {

        public void testGeneratingSigningUrlThenSign()
        {
            var apiKey = "your api key";
            var apiUrl = "https://apps.e-signlive.ca/api";

            EslClient eslClient = new EslClient(apiKey, apiUrl);
            DocumentPackage package = PackageBuilder
              .NewPackageNamed("Test Package .NET")
                    .WithSigner(SignerBuilder
                         .NewSignerWithEmail("signer1@mailinator.com")
                                .WithFirstName("Signer First Name")
                                .WithLastName("Signer Last Name")
                                .WithCustomId("Signer"))
                    .WithDocument(DocumentBuilder.NewDocumentNamed("testpdf.pdf")
                                  .FromStream(File.OpenRead("your file path"), DocumentType.PDF)
                                  .WithId("testpdf.pdf")
                                  .WithSignature(SignatureBuilder
                                       .SignatureFor("signer1@mailinator.com")
                                         .OnPage(0)
                                         .AtPosition(200, 300)
                                         .WithField(FieldBuilder.SignatureDate().OnPage(0).AtPosition(200, 400))
                                         )
                    )
                    .Build();

            PackageId pkgid = eslClient.CreatePackageOneStep(package);

            eslClient.SendPackage(pkgid);

            var signingUrl = eslClient.PackageService.GetSigningUrl(pkgid, "Signer");
            Debugger.Log(1, "Debug", signingUrl + "\n");


            eslClient.SignDocuments(pkgid);



        }


    }
}
